error, when run "qiime dada2 denoise-paired"

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp7lf5_feg/forward /tmp/tmp7lf5_feg/reverse /tmp/tmp7lf5_feg/output.tsv.biom /tmp/tmp7lf5_feg/track.tsv /tmp/tmp7lf5_feg/filt_f /tmp/tmp7lf5_feg/filt_r 0 0 29 18 2.0 2.0 2 12 independent consensus 1.0 12 1000000

R version 4.1.0 (2021-05-18)
Loading required package: Rcpp
DADA2: 1.22.0 / Rcpp: 1.0.8.3 / RcppParallel: 5.1.5

  1. Filtering ..................
  2. Learning Error Rates
    266474 total bases in 1238 reads from 18 samples will be used for learning the error rates.
    234067 total bases in 1079 reads from 18 samples will be used for learning the error rates.
  3. Denoise samples ..................
    Error in FUN(X[[i]], ...) :
    Non-corresponding derep-class and dada-class objects.
    Calls: mergePairs -> lapply -> FUN
    Execution halted
    Traceback (most recent call last):
    File "/public1/home/sca0719/anaconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
    run_commands([cmd])
    File "/public1/home/sca0719/anaconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
    File "/public1/home/sca0719/anaconda3/envs/qiime2-2022.2/lib/python3.8/subprocess.py", line 516, in run
    raise CalledProcessError(retcode, process.args,
    subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmp7lf5_feg/forward', '/tmp/tmp7lf5_feg/reverse', '/tmp/tmp7lf5_feg/output.tsv.biom', '/tmp/tmp7lf5_feg/track.tsv', '/tmp/tmp7lf5_feg/filt_f', '/tmp/tmp7lf5_feg/filt_r', '0', '0', '29', '18', '2.0', '2.0', '2', '12', 'independent', 'consensus', '1.0', '12', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/public1/home/sca0719/anaconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2cli/commands.py", line 339, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/public1/home/sca0719/anaconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File "/public1/home/sca0719/anaconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 391, in callable_executor
output_views = self._callable(**view_args)
File "/public1/home/sca0719/anaconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 292, in denoise_paired
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Hi @Timmy21,
Can you give the command you ran to get this error and your demux file?

I have seen errors like this in the github for dada2: Non-corresponding derep-class and dada-class objects. · Issue #866 · benjjneb/dada2 · GitHub . That might be helpful to you.

2 Likes

Hi [cherman2],

My command as follow:

qiime dada2 denoise-paired
--i-demultiplexed-seqs demux.qza
--p-n-threads 12
--p-trim-left-f 29 --p-trim-left-r 18
--p-trunc-len-f 0 --p-trunc-len-r 0
--o-table dada2-table.qza
--o-representative-sequences dada2-rep-seqs.qza
--o-denoising-stats denoising-stats.qza

Hey @Timmy21,
Your trim and truncation parameters looks kinda weird to me. Can you send a picture of your Demux.qzv quality score. Can you also send me your demux.qza file so that I can try to run this?

Also can you tell me a little bit more about your data? What did you do to get to this step and what type of sequencing data is this?

Thanks again,
:turtle:

per-sample-fastq-counts.tsv (344 Bytes)
demux.qzv (311.7 KB)

Hi, cherman2
This is my Demux.qzv rusult. thanks for your continued attention

Hey @Timmy21 ,
Thank you for the information. Your qzv looks fine to me. Can you send me your demux.qza so that I can try to run dada2 and see if I can recreate your error.

Also can you tell me a little bit more about your data? What did you do to get to this step(i.e., did you import multiplexed or demuxplexed) and what type of sequencing data is this( i.e. is it illumina emp data or something else)?
:turtle:

Hi cherman2
My sequencing data is illumina paired-end data.
I got demux.qza after I run the comand :
qiime tools import --type 'SampleData[PairedEndSequencesWithQuality]' --input-path manifest.tsv --output-path demux.qza --input-format PairedEndFastqManifestPhred33V2

@Timmy21 ,
Looking back at the link I sent you, there might be something wrong with your manifest that is causing "Non-corresponding derep-class and dada-class objects".

Can you send your manifest.tsv? and again, I need your Demux.qza, I can not help you and unless you can provide me with all the files I request. If you dont want to share this publicly you can Direct Message me the Demux.qza

Thank you.

1 Like

Hi again @Timmy21 ,

I think your issue might be a competing R installation.
Can you run echo $PATH in your command line and send me the output?

If your path has the installation of R before the QIIME 2 env that might be causing your computer to reference the R installation on your computer and not the one in the QIIME 2 env.

Let me know!

1 Like

Yeap?
run the command "echo PATH" (qiime2-2022.2) [[email protected]%bscc-a5 qiime2] echo $PATH
/public1/home/sca0719/R-4.1.0/bin:/public1/soft/java/1.8.0_221/bin:/public1/soft/gcc/10.2.0/bin:/public1/home/sca0719/para/arb6/bin:/public1/soft/R/3.6.3/other/other-install/bin:/public1/soft/R/3.6.3/bin:/public1/soft/pcre/8.42/bin:/public1/home/sca0719/cd-hit-v4.8.1-2019-0228:/public1/home/sca0719/samtools-install/bin:/public1/home/sca0719/bowtie2-2.3.5.1-linux-x86_64/bin:/public1/home/sca0719/timmy/Prodigal-2.60:/public1/home/sca0719:/public1/home/sca0719/anaconda3/envs/qiime2-2022.2/bin:/public1/home/sca0719/anaconda3/condabin:/public1/home/sca0719/anaconda3/bin:/public1/soft/modules/bin:/public1/clurm/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/opt/ibutils/bin:/public1/home/sca0719/ncbi-blast-2.12.0+/bin:/public1/home/sca0719/install-idba-1.1.3/idba-1.1.3-install/bin:/public1/home/sca0719/.local/bin:/public1/home/sca0719/bin

Hi,

I am having the same problem here. I run the command "echo $PATH" and this is the output:

/apps/rdp_classifier/2.13:/apps/ea-utils/211021/bin:/apps/ea-utils/211021/:/apps/muscle/5.0.1428/bin:/apps/bwa/0.7.17/bin:/apps/raxml/8.2.12/bin:/apps/vsearch/2.21.1/bin:/apps/mothur/1.45.3/bin:/apps/openmpi/4.1.1-ofed51/bin:/apps/ghc/9.0.1/bin:/apps/amazon-corretto/17.0.2.8.1/bin:/apps/R/4.0.5/bin:/apps/singularity/3.7.3/bin:/apps/qiime/2021.4/blast/bin:/apps/qiime/2021.4/bin:/apps/gcc/10.3.0/bin:/cm/shared/apps/slurm/current/bin:/apps/scutils/bin:/cm/local/apps/environment-modules/4.5.3//bin:/usr/local/bin:/usr/bin:/bin:/usr/lib/mit/bin:/sbin:/usr/sbin:/cm/local/apps/environment-modules/4.5.3/bin